diff -U3 -r hsfmodem-old/modules/imported/include/testdebug.h hsfmodem/modules/imported/include/testdebug.h
--- hsfmodem-old/modules/imported/include/testdebug.h	2006-02-07 16:43:56.000000000 +0000
+++ hsfmodem/modules/imported/include/testdebug.h	2006-02-12 08:08:47.000000000 +0000
@@ -1773,60 +1773,60 @@
     #define RTRACE0(TypeAndSeverity, unusedLoggingThread, str)  RPT_Write(                      \
 					(TypeAndSeverity),        \
 					((__LINE__) & LINE_NUM_MASK) | (FILEIDNUM << 13), \
-					(UINT32)0)
+					(CXT_UINT32)0)
 
 
 	#define RTRACE1(TypeAndSeverity, unusedLoggingThread, str, arg1)  RPT_Write(                         \
 					(TypeAndSeverity),                     \
 					(((__LINE__) & LINE_NUM_MASK) | (FILEIDNUM << 13) | (1 <<29)), \
-					(UINT32)arg1)
+					(CXT_UINT32)arg1)
 	
 	#define RTRACE2(TypeAndSeverity, unusedLoggingThread, str, arg1, arg2)  RPT_Write(                   \
 					(TypeAndSeverity),                     \
 					(((__LINE__) & LINE_NUM_MASK) | (FILEIDNUM << 13) | (2 <<29)), \
-					(UINT32)arg1, (UINT32)arg2)
+					(CXT_UINT32)arg1, (CXT_UINT32)arg2)
 
 
 	#define RTRACE3(TypeAndSeverity, unusedLoggingThread, str, arg1, arg2, arg3)  RPT_Write(              \
 					(TypeAndSeverity),                      \
 					(((__LINE__) & LINE_NUM_MASK) | (FILEIDNUM << 13) | (3 <<29)),  \
-					(UINT32)arg1, (UINT32)arg2, (UINT32)arg3)
+					(CXT_UINT32)arg1, (CXT_UINT32)arg2, (CXT_UINT32)arg3)
 
 
 	#define RTRACE4(TypeAndSeverity, unusedLoggingThread, str, arg1, arg2, arg3, arg4)  RPT_Write(       \
 					(TypeAndSeverity),                     \
 					(((__LINE__) & LINE_NUM_MASK) | (FILEIDNUM << 13) | (4 <<29)), \
-					(UINT32)arg1, (UINT32)arg2, (UINT32)arg3, (UINT32)arg4)
+					(CXT_UINT32)arg1, (CXT_UINT32)arg2, (CXT_UINT32)arg3, (CXT_UINT32)arg4)
 
 
 	#define RTRACE5(TypeAndSeverity, unusedLoggingThread, str, arg1, arg2, arg3, arg4, arg5)  RPT_Write(        \
 					(TypeAndSeverity),                            \
 					(((__LINE__) & LINE_NUM_MASK) | (FILEIDNUM << 13) | (5 <<29)),        \
-					(UINT32)arg1, (UINT32)arg2, (UINT32)arg3, (UINT32)arg4, (UINT32)arg5)						
+					(CXT_UINT32)arg1, (CXT_UINT32)arg2, (CXT_UINT32)arg3, (CXT_UINT32)arg4, (CXT_UINT32)arg5)						
 
 
 	#define RTRACE6(TypeAndSeverity, unusedLoggingThread, str, arg1, arg2, arg3, arg4, arg5, arg6)  RPT_Write(                \
 					(TypeAndSeverity),                                          \
 					(((__LINE__) & LINE_NUM_MASK) | (FILEIDNUM << 13) | (6 <<29)),                      \
-					(UINT32)arg1, (UINT32)arg2, (UINT32)arg3, (UINT32)arg4, (UINT32)arg5, (UINT32)arg6)
+					(CXT_UINT32)arg1, (CXT_UINT32)arg2, (CXT_UINT32)arg3, (CXT_UINT32)arg4, (CXT_UINT32)arg5, (CXT_UINT32)arg6)
 
 
 	#define RTRACE7(TypeAndSeverity, unusedLoggingThread, str, arg1, arg2, arg3, arg4, arg5, arg6, arg7)  RPT_Write(                        \
 					(TypeAndSeverity),                                                        \
 					(((__LINE__) & LINE_NUM_MASK) | (FILEIDNUM << 13) | (7 <<29)),                                    \
-					(UINT32)arg1, (UINT32)arg2, (UINT32)arg3, (UINT32)arg4, (UINT32)arg5, (UINT32)arg6, (UINT32)arg7)
+					(CXT_UINT32)arg1, (CXT_UINT32)arg2, (CXT_UINT32)arg3, (CXT_UINT32)arg4, (CXT_UINT32)arg5, (CXT_UINT32)arg6, (CXT_UINT32)arg7)
 
     #define RTRACE_DUMP(TypeAndSeverity, unusedLoggingThread, BufferAddress, Size)  RPT_Write( \
 					(TypeAndSeverity),       \
 					(RTRACE_DUMP_CODE << 13),                        \
-					(UINT32)BufferAddress,                           \
-					(UINT32)Size)
+					(CXT_UINT32)BufferAddress,                           \
+					(CXT_UINT32)Size)
 
     #define RDUMP(TypeAndSeverity, BufferAddress, Size)  RPT_Write( \
 			    (TypeAndSeverity),                                  \
 			    (RDUMP_CODE << 13),                                 \
-			    (UINT32)BufferAddress,                              \
-			    (UINT32)Size)
+			    (CXT_UINT32)BufferAddress,                              \
+			    (CXT_UINT32)Size)
 
 
     #define RTRACE_EOS(TypeAndSeverity, unusedLoggingThread)  RPT_Write(     \
@@ -1847,7 +1847,7 @@
 
 #if ((defined SCR) && (OS_TYPE == OS_STB))
 	#include "rpt_io.h"
-	#define DW_CLIENT_ID ((UINT32)0)
+	#define DW_CLIENT_ID ((CXT_UINT32)0)
 	#define Num_Messages 0
 	#define BLAM_SEVERITY_DEFAULT 0
 
@@ -1884,7 +1884,7 @@
     #define TRACE(mask,printf)  {                                           \
                                     if ((mask) & ulTraceMask)               \
                                     {                                       \
-                                        UINT32 dwTime = OsGetSystemTime();  \
+                                        CXT_UINT32 dwTime = OsGetSystemTime();  \
                                         OsDebugPrintf ("%07u.%03u: ", dwTime/1000, dwTime%1000); \
                                         OsDebugPrintf printf;               \
                                     }                                       \
@@ -1907,7 +1907,7 @@
 	#define RTRACE0(TypeAndSeverity, LoggingThread, str) {										\
                     if (((TypeAndSeverity) & NOBLAMTRACEMASK) ||	(LoggingThread == NOBLAMLOGGINGTHREAD)) \
                                 {																\
-                                    UINT32 dwTime = OsGetSystemTime();							\
+                                    CXT_UINT32 dwTime = OsGetSystemTime();							\
                                     OsDebugPrintf ("%07u.%03u: ", dwTime/1000, dwTime%1000);    \
                                     OsDebugPrintf (str);										\
                                 }																\
@@ -1917,7 +1917,7 @@
 	#define RTRACE1(TypeAndSeverity, LoggingThread, str, arg1) {								\
                     if (((TypeAndSeverity) & NOBLAMTRACEMASK) ||	(LoggingThread == NOBLAMLOGGINGTHREAD)) \
                                 {																\
-                                    UINT32 dwTime = OsGetSystemTime();							\
+                                    CXT_UINT32 dwTime = OsGetSystemTime();							\
                                     OsDebugPrintf ("%07u.%03u: ", dwTime/1000, dwTime%1000);    \
                                     OsDebugPrintf (str, arg1);									\
                                 }																\
@@ -1927,7 +1927,7 @@
 	#define RTRACE2(TypeAndSeverity, LoggingThread, str, arg1, arg2) {						\
                     if (((TypeAndSeverity) & NOBLAMTRACEMASK) ||	(LoggingThread == NOBLAMLOGGINGTHREAD)) \
 							{																\
-                                UINT32 dwTime = OsGetSystemTime();							\
+                                CXT_UINT32 dwTime = OsGetSystemTime();							\
                                 OsDebugPrintf ("%07u.%03u: ", dwTime/1000, dwTime%1000);    \
                                 OsDebugPrintf (str, arg1, arg2);							\
                             }																\
@@ -1937,7 +1937,7 @@
 	#define RTRACE3(TypeAndSeverity, LoggingThread, str, arg1, arg2, arg3) {	        \
                     if (((TypeAndSeverity) & NOBLAMTRACEMASK) ||	(LoggingThread == NOBLAMLOGGINGTHREAD)) \
 						{												                \
-                            UINT32 dwTime = OsGetSystemTime();					        \
+                            CXT_UINT32 dwTime = OsGetSystemTime();					        \
                             OsDebugPrintf ("%07u.%03u: ", dwTime/1000, dwTime%1000);    \
                             OsDebugPrintf (str, arg1, arg2, arg3);                      \
 						}															    \
@@ -1947,7 +1947,7 @@
 	#define RTRACE4(TypeAndSeverity, LoggingThread, str, arg1, arg2, arg3, arg4) {	    \
                     if (((TypeAndSeverity) & NOBLAMTRACEMASK) ||	(LoggingThread == NOBLAMLOGGINGTHREAD)) \
 					{												                    \
-                        UINT32 dwTime = OsGetSystemTime();					            \
+                        CXT_UINT32 dwTime = OsGetSystemTime();					            \
                         OsDebugPrintf ("%07u.%03u: ", dwTime/1000, dwTime%1000);        \
                         OsDebugPrintf (str, arg1, arg2, arg3, arg4);                    \
                     }																	\
@@ -1957,7 +1957,7 @@
 	#define RTRACE5(TypeAndSeverity, LoggingThread, str, arg1, arg2, arg3, arg4, arg5) {	\
                     if (((TypeAndSeverity) & NOBLAMTRACEMASK) ||	(LoggingThread == NOBLAMLOGGINGTHREAD)) \
 					{																		\
-                        UINT32 dwTime = OsGetSystemTime();									\
+                        CXT_UINT32 dwTime = OsGetSystemTime();									\
                         OsDebugPrintf ("%07u.%03u: ", dwTime/1000, dwTime%1000);			\
                         OsDebugPrintf (str, arg1, arg2, arg3, arg4, arg5);                  \
                     }																		\
@@ -1967,7 +1967,7 @@
 	#define RTRACE6(TypeAndSeverity, LoggingThread, str, arg1, arg2, arg3, arg4, arg5, arg6) {	\
                     if (((TypeAndSeverity) & NOBLAMTRACEMASK) ||	(LoggingThread == NOBLAMLOGGINGTHREAD)) \
 					{																			\
-                        UINT32 dwTime = OsGetSystemTime();										\
+                        CXT_UINT32 dwTime = OsGetSystemTime();										\
                         OsDebugPrintf ("%07u.%03u: ", dwTime/1000, dwTime%1000);				\
                         OsDebugPrintf (str, arg1, arg2, arg3, arg4, arg5, arg6);                \
                     }																			\
@@ -1978,7 +1978,7 @@
 	#define RTRACE7(TypeAndSeverity, LoggingThread, str, arg1, arg2, arg3, arg4, arg5, arg6, arg7) {	\
                     if (((TypeAndSeverity) & NOBLAMTRACEMASK) ||	(LoggingThread == NOBLAMLOGGINGTHREAD)) \
 						{																				\
-                            UINT32 dwTime = OsGetSystemTime();											\
+                            CXT_UINT32 dwTime = OsGetSystemTime();											\
                             OsDebugPrintf ("%07u.%03u: ", dwTime/1000, dwTime%1000);					\
                             OsDebugPrintf (str, arg1, arg2, arg3, arg4, arg5, arg6, arg7);              \
                         }																				\
@@ -2021,7 +2021,7 @@
                                 }
 
 	#define DUMPDATA(mask, data, len) /*{                                           \
-	void DumpData(PUINT8 data, UINT32 len);					\
+	void DumpData(PCXT_UINT8 data, CXT_UINT32 len);					\
                                     if ((mask) & ulTraceMask)               \
                                     {                                       \
                                         DumpData(data, len);               \
diff -U3 -r hsfmodem-old/modules/imported/include/tonetype.h hsfmodem/modules/imported/include/tonetype.h
--- hsfmodem-old/modules/imported/include/tonetype.h	2006-02-07 16:43:56.000000000 +0000
+++ hsfmodem/modules/imported/include/tonetype.h	2006-02-12 08:04:10.000000000 +0000
@@ -231,7 +231,7 @@
 typedef struct 
 {
 	POLD_DUALTONEGEN pDualToneGen;
-	BOOL			Repeat;
+	CXT_BOOL			Repeat;
 } OLD_DUALTONEGEN_EXT, *POLD_DUALTONEGEN_EXT;
 
 /* The following struct include the parameters for a dtmf generator. */
@@ -247,8 +247,8 @@
  Generator of ANS/ANSAM tone */
 typedef struct 
 {
-	BOOL AmOn;	/* TRUE when ANSAM */
-	BOOL PmOn;  /* TRUE when Phase Modulation */
+	CXT_BOOL AmOn;	/* TRUE when ANSAM */
+	CXT_BOOL PmOn;  /* TRUE when Phase Modulation */
 	char MinAmpilitude; /* -dBm */
 	char MaxAmpilitude; /* -dBm */
 	char defaultAmpilitude; /* -dBm */
diff -U3 -r hsfmodem-old/modules/imported/include/usbhalos.h hsfmodem/modules/imported/include/usbhalos.h
--- hsfmodem-old/modules/imported/include/usbhalos.h	2004-06-21 04:58:27.000000000 +0100
+++ hsfmodem/modules/imported/include/usbhalos.h	2006-02-12 08:08:48.000000000 +0000
@@ -80,7 +80,7 @@
 // function prototypes which make interface between USB HAL and USB OS HAL
 
 __shimcall__
-HANDLE	OsUsbGetInstance		(UINT32 Unit);
+HANDLE	OsUsbGetInstance		(CXT_UINT32 Unit);
 
 /********************************************************************************
  two functions below indicate to lower HAL that the modem instance is being allocated or
@@ -105,10 +105,10 @@
 #if OS_TYPE == OS_LINUX
 __shimcall__
 HANDLE	OsUsbCreateInstance		(PVOID pDeviceID, HANDLE hUpper,
-		__shimcall__ BOOL (*cbUsbHalNotificationReceived) (PVOID hUpper, PUINT8 pDataReceived, unsigned RecvLength),
-		__shimcall__ void (*cbUsbHalDataReceived)			(PVOID hUpper, PUINT8 pDataReceived, unsigned RecvLength),
+		__shimcall__ CXT_BOOL (*cbUsbHalNotificationReceived) (PVOID hUpper, PCXT_UINT8 pDataReceived, unsigned RecvLength),
+		__shimcall__ void (*cbUsbHalDataReceived)			(PVOID hUpper, PCXT_UINT8 pDataReceived, unsigned RecvLength),
 		__shimcall__ void (*cbUsbHalDataTransmitDone)		(PVOID hUpper, unsigned TxLength),
-		__shimcall__ void (*cbUsbHalControlTransferDone)	(PVOID hUpper, PVOID userContext, UINT8 Request, UINT16 value, UINT16 index),
+		__shimcall__ void (*cbUsbHalControlTransferDone)	(PVOID hUpper, PVOID userContext, CXT_UINT8 Request, CXT_UINT16 value, CXT_UINT16 index),
 #if TARGET_HCF_FAMILY
 		__shimcall__ void (*cbUsbHalDownloadTransmitDone) (PVOID hUpper),
 #endif
@@ -148,7 +148,7 @@
 
 ********************************************************************************/
 __shimcall__
-BOOL OsUsbIsStarted						(HANDLE hUsbOsHal);
+CXT_BOOL OsUsbIsStarted						(HANDLE hUsbOsHal);
 
 /********************************************************************************
 
@@ -177,9 +177,9 @@
 
 ********************************************************************************/
 __shimcall__
-BOOL OsUsbMakeControlRequest			(HANDLE hUsbOsHal, HANDLE hCntrlReq, PVOID userContext,
-										UINT8 Request, UINT16 Value, UINT16 Index, 
-										IN PVOID pBuf, IN UINT32 nBytes);
+CXT_BOOL OsUsbMakeControlRequest			(HANDLE hUsbOsHal, HANDLE hCntrlReq, PVOID userContext,
+										CXT_UINT8 Request, CXT_UINT16 Value, CXT_UINT16 Index, 
+										IN PVOID pBuf, IN CXT_UINT32 nBytes);
 
 /********************************************************************************
 
@@ -206,12 +206,12 @@
 
 ********************************************************************************/
 __shimcall__
-BOOL OsUsbMakeControlRequestSync		(HANDLE hUsbOsHal, IN UINT8 Direction, UINT8 Request, UINT16 Value, UINT16 Index, 
+CXT_BOOL OsUsbMakeControlRequestSync		(HANDLE hUsbOsHal, IN CXT_UINT8 Direction, CXT_UINT8 Request, CXT_UINT16 Value, CXT_UINT16 Index, 
 										IN PVOID pBuf, IO PUINT32 pnBytes);
 
 
 __shimcall__
-BOOL OsUsbMakeGetStringDescriptorRequestSync	(HANDLE hUsbOsHal, IN UINT8 StrIndex, IN PVOID pBuf, IO PUINT32 pnBytes);
+CXT_BOOL OsUsbMakeGetStringDescriptorRequestSync	(HANDLE hUsbOsHal, IN CXT_UINT8 StrIndex, IN PVOID pBuf, IO PUINT32 pnBytes);
 
 
 
@@ -310,7 +310,7 @@
 
 ********************************************************************************/
 __shimcall__
-BOOL OsUsbMakeNotifyRequest				(HANDLE hUsbOsHal);
+CXT_BOOL OsUsbMakeNotifyRequest				(HANDLE hUsbOsHal);
 
 /********************************************************************************
 
@@ -332,7 +332,7 @@
 
 ********************************************************************************/
 __shimcall__
-BOOL OsUsbMakeDataTransmitRequest		(HANDLE hUsbOsHal, HANDLE hRequest, PVOID pBuf, UINT32 nBytes);
+CXT_BOOL OsUsbMakeDataTransmitRequest		(HANDLE hUsbOsHal, HANDLE hRequest, PVOID pBuf, CXT_UINT32 nBytes);
 
 /********************************************************************************
 
@@ -351,7 +351,7 @@
 
 ********************************************************************************/
 __shimcall__
-BOOL OsUsbMakeDataReceiveRequest		(HANDLE hUsbOsHal, PVOID pBuf, UINT32 nBytes);
+CXT_BOOL OsUsbMakeDataReceiveRequest		(HANDLE hUsbOsHal, PVOID pBuf, CXT_UINT32 nBytes);
 
 #if TARGET_HCF_FAMILY
 /********************************************************************************
@@ -371,7 +371,7 @@
 
 ********************************************************************************/
 __shimcall__
-BOOL OsUsbMakeDownloadTransmitRequest	(HANDLE pUsbOsHal, PVOID pBuf, UINT32 nBytes);
+CXT_BOOL OsUsbMakeDownloadTransmitRequest	(HANDLE pUsbOsHal, PVOID pBuf, CXT_UINT32 nBytes);
 #endif
 
 //#$YS$
@@ -409,7 +409,7 @@
 
 ********************************************************************************/
 __shimcall__
-BOOL OsUsbMakeDcpRequest				(HANDLE hUsbOsHal, PVOID pBuf, UINT32 nBytes);
+CXT_BOOL OsUsbMakeDcpRequest				(HANDLE hUsbOsHal, PVOID pBuf, CXT_UINT32 nBytes);
 __shimcall__
 void OsUsbStartDcpRequests				(HANDLE hUsb, HANDLE hDcp);
 
@@ -467,7 +467,7 @@
 
 ********************************************************************************/
 __shimcall__
-BOOL UsbHalNotificationReceived (PVOID hUpper, PUINT8 pDataReceived, unsigned RecvLength);
+CXT_BOOL UsbHalNotificationReceived (PVOID hUpper, PCXT_UINT8 pDataReceived, unsigned RecvLength);
 
 /********************************************************************************
 
@@ -486,7 +486,7 @@
 
 ********************************************************************************/
 __shimcall__
-void UsbHalDataReceived			(PVOID hUpper, PUINT8 pDataReceived, unsigned RecvLength);
+void UsbHalDataReceived			(PVOID hUpper, PCXT_UINT8 pDataReceived, unsigned RecvLength);
 
 /********************************************************************************
 
@@ -523,7 +523,7 @@
 
 ********************************************************************************/
 __shimcall__
-void UsbHalControlTransferDone	(PVOID hUpper, PVOID userContext, UINT8 Request, UINT16 value, UINT16 index);
+void UsbHalControlTransferDone	(PVOID hUpper, PVOID userContext, CXT_UINT8 Request, CXT_UINT16 value, CXT_UINT16 index);
 
 #if TARGET_HCF_FAMILY
 /********************************************************************************
@@ -560,11 +560,11 @@
 #pragma pack (1)
 typedef struct
 {
-	UINT8	bmRequestType;
-	UINT8	bRequest;
-	UINT16	wValue;
-	UINT16	wIndex;
-	UINT16	wLength;
+	CXT_UINT8	bmRequestType;
+	CXT_UINT8	bRequest;
+	CXT_UINT16	wValue;
+	CXT_UINT16	wIndex;
+	CXT_UINT16	wLength;
 	PVOID   pData;
 } USB_REQUEST_HEADER, *PUSB_REQUEST_HEADER;
 #pragma pack ()
diff -U3 -r hsfmodem-old/modules/include/linux_dbgscr.h hsfmodem/modules/include/linux_dbgscr.h
--- hsfmodem-old/modules/include/linux_dbgscr.h	2006-01-13 19:23:50.000000000 +0000
+++ hsfmodem/modules/include/linux_dbgscr.h	2006-02-12 08:04:12.000000000 +0000
@@ -21,7 +21,7 @@
 #endif
 
 __shimcall__
-	BOOL LinuxScrSetEntryPointCallback( PVOID epcbk );
+	CXT_BOOL LinuxScrSetEntryPointCallback( PVOID epcbk );
 
 #ifdef __cplusplus
 }
diff -U3 -r hsfmodem-old/modules/include/osdiag_dev.h hsfmodem/modules/include/osdiag_dev.h
--- hsfmodem-old/modules/include/osdiag_dev.h	2006-01-13 19:23:50.000000000 +0000
+++ hsfmodem/modules/include/osdiag_dev.h	2006-02-12 08:08:49.000000000 +0000
@@ -20,13 +20,13 @@
 typedef struct {
     DWORD		TimeStamp;
     CNXT_DIAG_CODES	Code;
-    UINT32		Data;
+    CXT_UINT32		Data;
 } SDK2K_NOTIFICATION, *PSDK2K_NOTIFICATION;
 
 typedef struct {
     CNXT_DIAG_CTRL_CODES ControlCode;
     PVOID Buffer;
-    UINT32 BufferSize;
+    CXT_UINT32 BufferSize;
 } SDK2K_IOCTLARGS, *PSDK2K_IOCTLARGS;
 
 #define SDK2K_IOC_CONFIGURE	_IOWR('2', 0, SDK2K_IOCTLARGS)
diff -U3 -r hsfmodem-old/modules/include/osresour_ex.h hsfmodem/modules/include/osresour_ex.h
--- hsfmodem-old/modules/include/osresour_ex.h	2006-01-27 12:49:32.000000000 +0000
+++ hsfmodem/modules/include/osresour_ex.h	2006-02-12 08:08:49.000000000 +0000
@@ -65,34 +65,34 @@
     HW_TYPE hwType;
     void *hwIf;
 #endif
-    BOOL hwInUse;
+    CXT_BOOL hwInUse;
 	unsigned long osPageOffset;
     HANDLE pmDev;
     COM_STATUS (*pmControl)(struct tagOS_DEVNODE *DevNode,
 		__shimcall__ COM_STATUS (*pmControlFunc)(HANDLE hDevMgr, ePmeState PmeState),
 		HANDLE hDevMgr, ePmeState PmeState, ePmeState OldPmeState) __shimcall__;
 	HANDLE hcomctrl;
-	UINT32 *pci_state;
+	CXT_UINT32 *pci_state;
 } OS_DEVNODE, *POS_DEVNODE;
 
 typedef struct {
-    UINT32 addr;
-    UINT32 len;
+    CXT_UINT32 addr;
+    CXT_UINT32 len;
 } OS_PCI_DEV_RES, *POS_PCI_DEV_RES;
 
 __shimcall__
-BOOL OsGetPCIDeviceResources(HANDLE DevNode,
+CXT_BOOL OsGetPCIDeviceResources(HANDLE DevNode,
 	POS_PCI_DEV_RES pPhysMem, POS_PCI_DEV_RES pPhysIO1, POS_PCI_DEV_RES pPhysIO2,
-	BOOL bEnableBusMastering);
+	CXT_BOOL bEnableBusMastering);
 
 __shimcall__
-PVOID OsMapPhysMem(UINT32 dwPhysMemBase, UINT32 dwMemSize);
+PVOID OsMapPhysMem(CXT_UINT32 dwPhysMemBase, CXT_UINT32 dwMemSize);
 
 __shimcall__
-BOOL OsUnmapPhysMem(PVOID dwLinearAddr, UINT32 dwMemSize);
+CXT_BOOL OsUnmapPhysMem(PVOID dwLinearAddr, CXT_UINT32 dwMemSize);
 
 __shimcall__
-BOOL OsHookInterrupt(HANDLE DevNode, __kernelcall__ OS_IRQRETURN_T (*isr)(int irq, void *devidp, void *unused), void* devid);
+CXT_BOOL OsHookInterrupt(HANDLE DevNode, __kernelcall__ OS_IRQRETURN_T (*isr)(int irq, void *devidp, void *unused), void* devid);
 
 __shimcall__
 void OsUnhookInterrupt(HANDLE DevNode, void *devid);
diff -U3 -r hsfmodem-old/modules/include/osusb.h hsfmodem/modules/include/osusb.h
--- hsfmodem-old/modules/include/osusb.h	2006-01-13 19:23:50.000000000 +0000
+++ hsfmodem/modules/include/osusb.h	2006-02-12 08:08:50.000000000 +0000
@@ -94,12 +94,12 @@
 	URB_LIST_ENTRY_STATE state;
 	PURB volatile urb;
 	USB_CTRLREQUEST	devRequest;
-	PUINT8 bufferPtr;
+	PCXT_UINT8 bufferPtr;
 	size_t bufferSize;
-	PUINT8 userBufferPtr;
+	PCXT_UINT8 userBufferPtr;
 	size_t userBufferSize;
 	PVOID userContext;
-	UINT32	startTime;
+	CXT_UINT32	startTime;
 } URB_LIST_ENTRY, *PURB_LIST_ENTRY;
 
 typedef struct tagURB_LIST {
@@ -113,12 +113,12 @@
 // this particular device.
 //
 typedef struct tagUSBOSHAL {
-	BOOL			bActive;
+	CXT_BOOL			bActive;
 
-	BOOL (*cbUsbHalNotificationReceived)	(PVOID hUpper, PUINT8 pDataReceived, unsigned RecvLength) __shimcall__;
-	void (*cbUsbHalDataReceived)			(PVOID hUpper, PUINT8 pDataReceived, unsigned RecvLength) __shimcall__;
+	CXT_BOOL (*cbUsbHalNotificationReceived)	(PVOID hUpper, PCXT_UINT8 pDataReceived, unsigned RecvLength) __shimcall__;
+	void (*cbUsbHalDataReceived)			(PVOID hUpper, PCXT_UINT8 pDataReceived, unsigned RecvLength) __shimcall__;
 	void (*cbUsbHalDataTransmitDone)		(PVOID hUpper, unsigned TxLength) __shimcall__;
-	void (*cbUsbHalControlTransferDone)		(PVOID hUpper, PVOID userContext, UINT8 Request, UINT16 value, UINT16 index) __shimcall__;
+	void (*cbUsbHalControlTransferDone)		(PVOID hUpper, PVOID userContext, CXT_UINT8 Request, CXT_UINT16 value, CXT_UINT16 index) __shimcall__;
 #if TARGET_HCF_FAMILY
 	void (*cbUsbHalDownloadTransmitDone)	(PVOID hUpper) __shimcall__;
 #endif
@@ -160,9 +160,9 @@
 
 	HANDLE hUpper; // handle of OS independent portion of the USB HAL
 
-	BOOL			UpdateEEPROM;
+	CXT_BOOL			UpdateEEPROM;
 
-//	BOOL				bPipeResetInProgress;
+//	CXT_BOOL				bPipeResetInProgress;
 //    int		        ResetAttemptCount;
 
 	PVOID				pLastControlData;
@@ -180,7 +180,7 @@
 int OsUsbFWDownload (PUSBOSHAL pUsbOsHal);
 
 __shimcall__
-BOOL OsUsbAllocateUrbs (PUSBOSHAL pUsbOsHal);
+CXT_BOOL OsUsbAllocateUrbs (PUSBOSHAL pUsbOsHal);
 __shimcall__
 void OsUsbFreeUrbs (PUSBOSHAL pUsbOsHal);
 
Binary files hsfmodem-old/modules/mod_engine.o and hsfmodem/modules/mod_engine.o differ
Binary files hsfmodem-old/modules/mod_mc97ali.o and hsfmodem/modules/mod_mc97ali.o differ
Binary files hsfmodem-old/modules/mod_mc97ati.o and hsfmodem/modules/mod_mc97ati.o differ
Binary files hsfmodem-old/modules/mod_mc97ich.o and hsfmodem/modules/mod_mc97ich.o differ
Binary files hsfmodem-old/modules/mod_mc97sis.o and hsfmodem/modules/mod_mc97sis.o differ
Binary files hsfmodem-old/modules/mod_mc97via.o and hsfmodem/modules/mod_mc97via.o differ
Binary files hsfmodem-old/modules/mod_osspec.o and hsfmodem/modules/mod_osspec.o differ
diff -U3 -r hsfmodem-old/modules/osdcp.c hsfmodem/modules/osdcp.c
--- hsfmodem-old/modules/osdcp.c	2006-01-27 12:49:32.000000000 +0000
+++ hsfmodem/modules/osdcp.c	2006-02-12 08:08:52.000000000 +0000
@@ -447,7 +447,7 @@
 }
  
 __shimcall__
-void DcpCallback(HANDLE hDcp, PVOID pData, UINT32 dwSize)
+void DcpCallback(HANDLE hDcp, PVOID pData, CXT_UINT32 dwSize)
 {
     dcp_instance_t *pDcp = hDcp;
     unsigned long flags;
diff -U3 -r hsfmodem-old/modules/osdiag.c hsfmodem/modules/osdiag.c
--- hsfmodem-old/modules/osdiag.c	2006-01-27 12:49:32.000000000 +0000
+++ hsfmodem/modules/osdiag.c	2006-02-12 08:08:53.000000000 +0000
@@ -111,7 +111,7 @@
 } dmp_unit_t;
 
 __shimcall__
-BOOL
+CXT_BOOL
 DMPSRV_Dispatcher(PCHAR ClientName, DMP_SERVER_CODE Code,
 		PCHAR FileName, PBYTE pSegment, DWORD nData )
 {
@@ -700,7 +700,7 @@
 }
  
 __shimcall__
-COM_STATUS OsDiagMgrNotify(HANDLE hOsDiagMgr, CNXT_DIAG_CODES Code, UINT32 dwData)
+COM_STATUS OsDiagMgrNotify(HANDLE hOsDiagMgr, CNXT_DIAG_CODES Code, CXT_UINT32 dwData)
 {
     diag_instance_t *pDiag = hOsDiagMgr;
     unsigned long flags;
diff -U3 -r hsfmodem-old/modules/osfloat.c hsfmodem/modules/osfloat.c
--- hsfmodem-old/modules/osfloat.c	2006-01-27 12:49:32.000000000 +0000
+++ hsfmodem/modules/osfloat.c	2006-02-12 08:04:15.000000000 +0000
@@ -137,7 +137,7 @@
 functionality :	Restores the FPU after float operations.
 ***************************************************************************/
 __shimcall__
-GLOBAL	BOOL OsFloatSuffix(int Id)
+GLOBAL	CXT_BOOL OsFloatSuffix(int Id)
 {
 #if 0
 	if(!in_interrupt()) {
diff -U3 -r hsfmodem-old/modules/osmemory.c hsfmodem/modules/osmemory.c
--- hsfmodem-old/modules/osmemory.c	2006-01-13 19:23:50.000000000 +0000
+++ hsfmodem/modules/osmemory.c	2006-02-12 08:08:54.000000000 +0000
@@ -64,7 +64,7 @@
 #include <asm/io.h> /* for virt_to_bus() */
 
 __shimcall__
-BOOL	OsMemDMAAllocate(UINT32 nPages,PUINT16* ppPhysAddr, PHANDLE pMemHandle, PUINT16* ppBuffer)
+CXT_BOOL	OsMemDMAAllocate(CXT_UINT32 nPages,PCXT_UINT16* ppPhysAddr, PHANDLE pMemHandle, PCXT_UINT16* ppBuffer)
 {
     int count;
     unsigned long allocs[256];
@@ -77,12 +77,12 @@
 	    break;
 	}
 
-	if ( 0x0 == (((UINT32)(allocs[count])) & 0x0000FFFF) )
+	if ( 0x0 == (((CXT_UINT32)(allocs[count])) & 0x0000FFFF) )
 	{
-	    *ppBuffer = (PUINT16)allocs[count];
+	    *ppBuffer = (PCXT_UINT16)allocs[count];
 	    if(pMemHandle)
 		*pMemHandle = (PVOID) allocs[count];
-	    *ppPhysAddr = (PUINT16)virt_to_bus(*ppBuffer);
+	    *ppPhysAddr = (PCXT_UINT16)virt_to_bus(*ppBuffer);
 	    //printk(KERN_DEBUG"%s: success - 0x%lx(%p) after %d attempts\n", __FUNCTION__, allocs[count], *ppPhysAddr, count);
 	    for ( count--; count >= 0; count-- )
 	    {
@@ -101,7 +101,7 @@
 }
 
 __shimcall__
-BOOL	OsMemDMAFree(HANDLE MemHandle, UINT32 nPages)
+CXT_BOOL	OsMemDMAFree(HANDLE MemHandle, CXT_UINT32 nPages)
 {
     if (NULL == MemHandle)
 	return (FALSE);
